ワードプレスで、簡単に予約フォームを設置できるプラグイン「MTS Simple Booking」ですが、
サーバーのPHPバージョンを、php7.0.xにしたら、管理画面でエラー表示がでたので、その修正方法。

画面に表示されるエラーは

Warning: Declaration of MTSSB_Article_Admin::register_meta_box() should be compatible with MTSSB_Article::register_meta_box($post) in

<対処法>
修正するファイルは、
plugins/mts-simple-booking-c/mtssb-article-admin.php

修正の手順:
1.「mtssb-article-admin.php」をテキストエディタ等で開きます。
2.ソースコード内に 「register_meta_box()」という文字列を検索します。
3.見つかった部分を「register_meta_box($post)」の記述に変更します。

4.「mtssb-article-admin.php」をFTPでアップロードして上書きします。

以上の手順でエラー表示は消えました。